/**
 * Styling common to multiple MEGA knowledge base pages.
 */

:root {
    --header-height: 64px;
}

body {
    margin: 0;
    background-color: var(--color-bg-page);
    position: relative;
}

.instant-anim * {
    transition-duration: 0s !important;
}

.template {
    display: none !important;
}

a {
    text-decoration: none;
    color: inherit;
}

img {
    user-select: none !important;
}

@media screen and (max-width: 780px) {
    body {
        position: static;
    }
}

/* region Header */

header.site-header .inner-content button.theme-btn::before {
    /* megakb-specific positioning as this button is right-most on this project */
    /* ideally the tooltip system would handle this */
    inset-inline-end: calc(-1 * var(--spacing-8));
}

/* endregion */

/* region Search banner */

.search-banner-container:not(.show) {
    opacity: 0;
    position: relative;
}
input[type="search"]::-webkit-search-decoration,
input[type="search"]::-webkit-search-cancel-button,
input[type="search"]::-webkit-search-results-button,
input[type="search"]::-webkit-search-results-decoration {
    display: none;
}
.search-banner-container .close-icon {
    position: absolute;
    right: 24px;
    top: 40px;
    padding: 0 !important;
}
.direction-rtl .search-banner-container .close-icon {
    right: unset;
    left: 24px;
}
.search-banner-container.expanded,
.search-banner-container.show {
    max-width: unset;
    padding: var(--spacing-12) 0;
    background: var(--color-bg-surface-1);
    opacity: 1;
}
.search-banner {
    max-width: var(--max-width);
    margin: 0 auto;
    padding: 0 var(--default-padding);
    box-sizing: border-box;
    align-items: center;
    text-align: center;
}
.search-banner .search-form {
    margin: 0 auto;
    width: 100%;
    max-width: 656px;
    font-size: 16px;
}
.search-banner .page-title {
    font: var(--font-h1);
    letter-spacing: var(--font-h1-spacing);
    color: var(--color-heading);
    grid-column: 2 / -2;
}
.search-banner .page-subtitle {
    color: var(--color-copy-primary);
    margin: var(--spacing-7) 0 var(--spacing-10);
    display: block;
    font: var(--font-copy-lg);
    grid-column: 3 / -3;
}
.search-banner .search-form-container {
    text-align: start;
    grid-column: 4/-4;
}

@media screen and (min-width: 0) and (max-width: 1080px) {
    .search-banner .page-title,
    .search-banner .page-subtitle {
        grid-column: 1 / -1;
    }
    .search-banner .search-form-container {
        grid-column: 3 / -3;
    }
}

@media screen and (max-width: 768px) {
    .search-banner .search-form-container {
        grid-column: 1 / -1;
    }
}

/* endregion */

/* region Page breadcrumb */

.navigation-header {
    margin: 10px 0 14px;
    display: flex;
    align-items: center;
}
.navigation-header .nav-ul {
    list-style: none;
    display: flex;
    flex-flow: row wrap;
    gap: var(--spacing-3);
    padding-inline-start: 0;
    margin: 0;
    white-space: nowrap;
    color: var(--color-copy-secondary);
}
.navigation-header .nav-item {
    position: relative;
    display: inline-flex;
}
.navigation-header .nav-item:not(:first-child) {
    padding-inline-start: 16px;
}
.navigation-header .nav-item a[disabled] {
    cursor: default;
}
.navigation-header .nav-arrow {
    position: absolute;
    left: 0;
    height: 100%;
    width: 10px;
    background-position: -189px -35px;
    color: transparent;
}
.direction-rtl .navigation-header .nav-arrow {
    left: unset;
    right: 0;
    transform: scaleX(-1);
}
.navigation-header .nav-link {
    margin-inline-end: 12px;
    color: inherit;
    opacity: 0.7;
    line-height: 19px;
}

@media screen and (max-width: 1080px) {
    .navigation-header {
        overflow-x: scroll;
        -ms-overflow-style: none;
        scrollbar-width: none;
    }
    .navigation-header::-webkit-scrollbar {
        display: none;
    }
}

/* endregion */

/* region Categories sidebar */

.categories-sidebar {
    flex: 256px 0 0;
    box-sizing: border-box;
    padding-top: var(--spacing-9);
    border-right: 1px solid var(--surface-grey-2);
    border-left: 1px solid var(--surface-grey-2);
}
.categories-sidebar .category-group {
    padding-bottom: 20px;
}
.categories-sidebar .active {
    background-color: var(--color-bg-surface-1);
    color: var(--color-primary-red-500);
    border-inline-start: 4px solid var(--color-primary-red-500);
}
.categories-sidebar .parent-category:hover,
.categories-sidebar .sub-category:hover {
    background-color: var(--color-bg-surface-1);
}
.categories-sidebar .parent-category {
    padding: 9px;
    padding-inline-start: 26px;
    font: var(--font-copy-md-bold);
    user-select: none;
    display: flex;
    align-items: center;
    cursor: pointer;
}
.categories-sidebar .parent-category.active {
    padding-inline-start: 22px;
}
.categories-sidebar .parent-category.active .dropdown-icon {
    background-position: -130px -523px;
}
.categories-sidebar .sub-category-container {
    max-height: 0;
    opacity: 0;
    transition: var(--transition-opacity), var(--transition-maxheight);
    overflow: hidden;
}
.categories-sidebar .dropdown-icon {
    margin-inline-end: var(--spacing-2);
    transition: transform 200ms ease-in-out;
}
.direction-rtl .categories-sidebar .dropdown-icon {
    transform:scaleX(-1);
}
.categories-sidebar .sub-category {
    padding: 9px;
    padding-inline-start: 46px;
    font: var(--font-copy-md);
    color: var(--color-copy-secondary);
    display: block;
}
.categories-sidebar .sub-category.active {
    padding-inline-start: 42px;
    font: var(--font-copy-md-bold);
    color: var(--color-primary-red-500);
}
.categories-sidebar .category-group.expanded .dropdown-icon {
    transform: rotate(90deg);
}
.categories-sidebar .category-group.expanded .sub-category-container {
    max-height: 500px;
    opacity: 1;
}

@media screen and (max-width: 1080px) {
    .categories-sidebar {
        flex-basis: 240px;
    }
    .categories-sidebar .parent-category {
        padding-inline-start: 12px;
    }
    .categories-sidebar .parent-category.active {
        padding-inline-start: 8px;
    }

    .categories-sidebar .sub-category {
        padding-inline-start: 32px;
    }
    .categories-sidebar .sub-category.active {
        padding-inline-start: 28px;
    }
}

@media screen and (max-width: 780px) {
    .categories-sidebar {
        display: none;
    }
}

/* endregion */

/* region Further help */

section.further-help {
    max-width: unset;
    padding: 150px 0;
    background-color: var(--color-bg-surface-1);
}
section.further-help .text-pane {
    max-width: var(--max-width);
    box-sizing: border-box;
    margin: 0 auto;
    padding: 0 var(--default-padding);
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 56px;
    text-align: center;
}

/* Breakpoint S */
@media screen and (max-width: 768px) {
    section.further-help {
        padding: var(--spacing-12) 0;
    }
}

/* endregion */

/* region Tags */

.tags h4 {
    color: var(--color-primary-red-500);
    font: var(--font-h5);
    margin-top: 0;
    margin-bottom: 44px;
}

.tags .tags-container .tag {
    display: inline-block;
    padding: 8px;
    margin: 0 12px 14px 0;
    border-radius: 4px;
    background-color: var(--surface-grey-2);
    opacity: 0.6;
    font-size: 16px;
    line-height: 20px;
    color: var(--text-color-high);
}
.tags .tags-container .tag:hover {
    opacity: 1;
    background-color: var(--surface-grey-6);
}

@media screen and (max-width: 780px) {
    .tags h4 {
        margin-bottom: 20px;
    }
}

/* endregion */
